## AgsOscWebsocketConnection

AgsOscWebsocketConnection — the OSC server side WebSockets connection

## Stability Level

Stable, unless otherwise indicated

## Functions

GList * | ags_osc_websocket_connection_find_resource_id ()
AgsOscWebsocketConnection * | ags_osc_websocket_connection_new ()

## Properties

char * | login | Read / Write
char * | resource-id | Read / Write
AgsSecurityContext * | security-context | Read / Write
char * | security-token | Read / Write
SoupWebsocketConnection * | websocket-connection | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsOscConnection
            ╰── AgsOscWebsocketConnection

## Includes

    #include <ags/audio/osc/ags_osc_websocket_connection.h>

## Description

AgsOscWebsocketConnection your OSC server side websocket_connection.

## Functions

### ags_osc_websocket_connection_find_resource_id ()

    GList *
    ags_osc_websocket_connection_find_resource_id
                                   (GList *osc_websocket_connection,
                                    gchar *resource_id);

Find `resource_id` in `osc_websocket_connection` .

#### Parameters

osc_websocket_connection | the GList containing AgsOscWebsocketConnection. | [element-type AgsAudio.OscWebsocketConnection][transfer none]
resource_id | the resource id |

#### Returns

the next matchine GList or `NULL`.

[element-type AgsAudio.OscWebsocketConnection][transfer none]

Since: 3.0.0

### ags_osc_websocket_connection_new ()

    AgsOscWebsocketConnection *
    ags_osc_websocket_connection_new (GObject *osc_server);

Creates a new instance of AgsOscWebsocketConnection

#### Parameters

osc_server | the AgsOscServer |

#### Returns

the new AgsOscWebsocketConnection

Since: 3.0.0

## Property Details

### The `“login”` property

      “login”                    char *

The current login.

Owner: AgsOscWebsocketConnection

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“resource-id”` property

      “resource-id”              char *

The resource ID from a redirect.

Owner: AgsOscWebsocketConnection

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“security-context”` property

      “security-context”         AgsSecurityContext *

The assigned AgsSecurityContext.

Owner: AgsOscWebsocketConnection

Flags: Read / Write

Since: 3.0.0

### The `“security-token”` property

      “security-token”           char *

The current security token.

Owner: AgsOscWebsocketConnection

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“websocket-connection”` property

      “websocket-connection”     SoupWebsocketConnection *

The assigned SoupMessage.

Owner: AgsOscWebsocketConnection

Flags: Read / Write

Since: 3.0.0